### Virtual Method

# Ide Debugger list_breakpoints_async

#### Declaration

    void
    list_breakpoints_async (
      IdeDebugger* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests the list of current breakpoints from the debugger.

`IdeDebugger` implementations must implement the virtual function for this method.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call upon completion.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.